import type { InjectionKey } from "vue";
import type { OidcAuth } from "vue-oidc-client/vue3";

const apiBaseURL = Symbol() as InjectionKey<string>
const oidcProjectID = Symbol() as InjectionKey<string>
const oidc = Symbol() as InjectionKey<OidcAuth>

export {
    apiBaseURL,
    oidcProjectID,
    oidc
}